{
  "format_version": "1.10.0",
  "animation_controllers": {
	"controller.animation.trahtor_text": {
		"states": {
			"default": {
				"transitions": [
					{
						"execute_command": "query.has_rider && query.mark_variant == 0"
					},
					{
						"execute_command_r": "query.has_rider && query.mark_variant == 1"
					}
				]
			},
			"execute_command": {
				"on_entry": [
					"/function trahtor_text"
				],
				"transitions": [
					{
						"default": "!query.has_rider"
					}
				]
			},
			"execute_command_r": {
				"on_entry": [
					"/function trahtor_text_robot"
				],
				"transitions": [
					{
						"default": "!query.has_rider"
					}
				]
			}
		 }
	  }
   }
}